Subject: [bug#73699] [PATCH] gnu: nzbget: Update to 24.3. [security fixes]

From: Nicolas Graves <[email-masked]>
Date: Fri, 18 Oct 2024 12:25:00 +0200

On 2024-10-18 10:45, Sharlatan Hellseher wrote:

> Hi,
>
> Thanks for the patch.
>
> I could build v4 1/1 patch without disabling system tests on aarch64
> --8<---------------cut here---------------start------------->8---
> ./pre-inst-env guix build nzbget --system=aarch64-linux
> /gnu/store/cdjbbx3iyrmglg9pbvmb8645bcxv1x33-nzbget-24.3
> --8<---------------cut here---------------end--------------->8---
>
> May you provide some reasoning or error log what you see on your end
> please?

I only relied on QA, which was indicating a failure for this test,
without much more information about why it was failing. IIRC, the
xmlResult was indicating <string></string> instead of <string/> for some
system info (so something is read as an empty string rather than NULL or
something like that probably). It seemed harmless anyway so I proceeded
to ignore the test without much further inquiry.

I still have it in my browser history, here's the link if you want to
investigate further:
https://bordeaux.guix.gnu.org/build/dc3bac03-ee3e-4263-8332-773620005c8c/log

> --
> Oleg

-- 
Best regards,
Nicolas Graves